Uses of Class
org.mockserver.model.NottableString
-
-
Uses of NottableString in org.mockserver.codec
Methods in org.mockserver.codec that return NottableString Modifier and Type Method Description NottableStringPathParametersDecoder. normalisePathWithParametersForMatching(HttpRequest matcher)Methods in org.mockserver.codec that return types with arguments of type NottableString Modifier and Type Method Description List<NottableString>ExpandedParameterDecoder. splitOnDelimiter(ParameterStyle style, String name, List<NottableString> values)Method parameters in org.mockserver.codec with type arguments of type NottableString Modifier and Type Method Description List<NottableString>ExpandedParameterDecoder. splitOnDelimiter(ParameterStyle style, String name, List<NottableString> values) -
Uses of NottableString in org.mockserver.collections
Methods in org.mockserver.collections that return NottableString Modifier and Type Method Description NottableStringImmutableEntry. getLeft()NottableStringImmutableEntry. getRight()NottableStringImmutableEntry. setValue(NottableString value)Methods in org.mockserver.collections with parameters of type NottableString Modifier and Type Method Description static ImmutableEntryImmutableEntry. entry(RegexStringMatcher regexStringMatcher, NottableString key, NottableString value)NottableStringImmutableEntry. setValue(NottableString value)Constructors in org.mockserver.collections with parameters of type NottableString Constructor Description NottableStringHashMap(MockServerLogger mockServerLogger, boolean controlPlaneMatcher, NottableString[]... keyAndValues)NottableStringMultiMap(MockServerLogger mockServerLogger, boolean controlPlaneMatcher, KeyMatchStyle keyMatchStyle, NottableString[]... keyAndValues) -
Uses of NottableString in org.mockserver.matchers
Methods in org.mockserver.matchers with parameters of type NottableString Modifier and Type Method Description booleanExactStringMatcher. matches(MatchDifference context, NottableString matched)booleanRegexStringMatcher. matches(MockServerLogger mockServerLogger, MatchDifference context, NottableString matcher, NottableString matched)booleanRegexStringMatcher. matches(MatchDifference context, NottableString matched)booleanRegexStringMatcher. matches(NottableString matcher, NottableString matched)booleanSubStringMatcher. matches(MatchDifference context, NottableString matched) -
Uses of NottableString in org.mockserver.model
Subclasses of NottableString in org.mockserver.model Modifier and Type Class Description classNottableOptionalStringclassNottableSchemaStringMethods in org.mockserver.model that return NottableString Modifier and Type Method Description NottableStringHttpRequest. getMethod()NottableStringKeyAndValue. getName()NottableStringKeyToMultiValue. getName()NottableStringHttpRequest. getPath()NottableStringKeyAndValue. getValue()NottableStringNottableString. lowercase()static NottableStringNottableString. not(String value)static NottableStringNottableString. string(String value)static NottableStringNottableString. string(String value, Boolean not)NottableStringPathModifier. update(NottableString path)NottableStringNottableString. withSchemaType(String schemaType)NottableStringNottableString. withStyle(ParameterStyle style)Methods in org.mockserver.model that return types with arguments of type NottableString Modifier and Type Method Description static List<NottableString>NottableString. deserializeNottableStrings(String... strings)static List<NottableString>NottableString. deserializeNottableStrings(List<String> strings)Map<NottableString,NottableString>HttpResponse. getCookieMap()Map<NottableString,NottableString>HttpResponse. getCookieMap()com.google.common.collect.Multimap<NottableString,NottableString>HttpResponse. getHeaderMultimap()com.google.common.collect.Multimap<NottableString,NottableString>HttpResponse. getHeaderMultimap()Map<NottableString,NottableString>KeysAndValues. getMap()Map<NottableString,NottableString>KeysAndValues. getMap()com.google.common.collect.Multimap<NottableString,NottableString>KeysToMultiValues. getMultimap()com.google.common.collect.Multimap<NottableString,NottableString>KeysToMultiValues. getMultimap()Collection<NottableString>KeysToMultiValues. getValues(NottableString key)List<NottableString>KeyToMultiValue. getValues()Set<NottableString>KeysToMultiValues. keySet()static List<NottableString>NottableString. strings(String... values)static List<NottableString>NottableString. strings(Collection<String> values)Methods in org.mockserver.model with parameters of type NottableString Modifier and Type Method Description voidKeyToMultiValue. addValues(NottableString... values)CookieCookies. build(NottableString name, NottableString value)HeaderHeaders. build(NottableString name, Collection<NottableString> values)abstract TKeysAndValues. build(NottableString name, NottableString value)abstract TKeysToMultiValues. build(NottableString name, Collection<NottableString> values)ParameterParameters. build(NottableString name, Collection<NottableString> values)intNottableString. compareTo(NottableString other)static CookieCookie. cookie(NottableString name, String value)static CookieCookie. cookie(NottableString name, NottableString value)Collection<NottableString>KeysToMultiValues. getValues(NottableString key)booleanHttpRequest. hasPathParameter(NottableString name, NottableString value)booleanHttpRequest. hasQueryStringParameter(NottableString name, NottableString value)static HeaderHeader. header(NottableString name, Collection<NottableString> value)static HeaderHeader. header(NottableString name, NottableString... value)static CookieCookie. optionalCookie(String name, NottableString value)static ParameterParameter. param(NottableString name, String... value)static ParameterParameter. param(NottableString name, Collection<NottableString> value)static ParameterParameter. param(NottableString name, NottableString... value)booleanKeysAndValues. remove(NottableString name)booleanKeysToMultiValues. remove(NottableString name)THttpMessage. removeHeader(NottableString name)HttpRequestHttpRequest. removeHeader(NottableString name)HttpResponseHttpResponse. removeHeader(NottableString name)static ParameterParameter. schemaParam(NottableString name, String... values)static StringNottableString. serialiseNottableString(NottableString nottableString)NottableStringPathModifier. update(NottableString path)THttpMessage. withCookie(NottableString name, NottableString value)HttpRequestHttpRequest. withCookie(NottableString name, NottableString value)Adds one cookie to match on or to not match on using the NottableString, each NottableString can either be a positive matching value, such as string("match"), or a value to not match on, such as not("do not match"), the string values passed to the NottableString can be a plain string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpResponseHttpResponse. withCookie(NottableString name, NottableString value)Adds one cookie to match on or to not match on using the NottableString, each NottableString can either be a positive matching value, such as string("match"), or a value to not match on, such as not("do not match"), the string values passed to the NottableString can be a plain string or a regex (for more details of the supported regex syntax see ...)KKeysAndValues. withEntry(NottableString name, NottableString value)KKeysToMultiValues. withEntry(NottableString name, List<NottableString> values)KKeysToMultiValues. withEntry(NottableString name, NottableString... values)THttpMessage. withHeader(NottableString name, NottableString... values)HttpRequestHttpRequest. withHeader(NottableString name, NottableString... values)Adds one header to match on or to not match on using the NottableString, each NottableString can either be a positive matching value, such as string("match"), or a value to not match on, such as not("do not match"), the string values passed to the NottableString can also be a plain string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpResponseHttpResponse. withHeader(NottableString name, NottableString... values)Add a header to return as a Header object, if a header with the same name already exists this will NOT be modified but two headers will existHttpRequestHttpRequest. withMethod(NottableString method)The HTTP method all method except a specific value using the "not" operator, for example this allows operations such as not("GET")HttpRequestHttpRequest. withPath(NottableString path)The path to not match on for example not("/some_mocked_path") with match any path not equal to "/some_mocked_path", the servlet context path is ignored for matching and should not be specified hereregex values are also supported such as not(".HttpRequestHttpRequest. withPathParameter(NottableString name, NottableString... values)Adds one path parameter to match on or to not match on using the NottableString, each NottableString can either be a positive matching value, such as string("match"), or a value to not match on, such as not("do not match"), the string values passed to the NottableString can also be a plain string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)HttpRequestHttpRequest. withQueryStringParameter(NottableString name, NottableString... values)Adds one query string parameter to match on or to not match on using the NottableString, each NottableString can either be a positive matching value, such as string("match"), or a value to not match on, such as not("do not match"), the string values passed to the NottableString can also be a plain string or a regex (for more details of the supported regex syntax see http://docs.oracle.com/javase/8/docs/api/java/util/regex/Pattern.html)Method parameters in org.mockserver.model with type arguments of type NottableString Modifier and Type Method Description HeaderHeaders. build(NottableString name, Collection<NottableString> values)abstract TKeysToMultiValues. build(NottableString name, Collection<NottableString> values)ParameterParameters. build(NottableString name, Collection<NottableString> values)static HeaderHeader. header(NottableString name, Collection<NottableString> value)booleanNottableSchemaString. matches(MockServerLogger mockServerLogger, MatchDifference context, List<NottableString> json)static ParameterParameter. param(NottableString name, Collection<NottableString> value)voidKeyToMultiValue. replaceValues(List<NottableString> values)static List<String>NottableString. serialiseNottableStrings(Collection<NottableString> nottableStrings)KKeysToMultiValues. withEntry(NottableString name, List<NottableString> values)Constructors in org.mockserver.model with parameters of type NottableString Constructor Description Cookie(NottableString name, String value)Cookie(NottableString name, NottableString value)Header(NottableString name, String... value)Header(NottableString name, Collection<NottableString> value)Header(NottableString name, NottableString... value)KeyAndValue(NottableString name, String value)KeyAndValue(NottableString name, NottableString value)Parameter(NottableString name, String... value)Parameter(NottableString name, Collection<NottableString> value)Parameter(NottableString name, NottableString... value) -
Uses of NottableString in org.mockserver.serialization.deserializers.string
Methods in org.mockserver.serialization.deserializers.string that return NottableString Modifier and Type Method Description NottableStringNottableStringDeserializer. deserialize(com.fasterxml.jackson.core.JsonParser jsonParser, com.fasterxml.jackson.databind.DeserializationContext ctxt) -
Uses of NottableString in org.mockserver.serialization.java
Methods in org.mockserver.serialization.java with parameters of type NottableString Modifier and Type Method Description static StringNottableStringToJavaSerializer. serialize(NottableString nottableString, boolean alwaysNottableString) -
Uses of NottableString in org.mockserver.serialization.model
Methods in org.mockserver.serialization.model that return NottableString Modifier and Type Method Description NottableStringHttpRequestDTO. getMethod()NottableStringKeyAndValueDTO. getName()NottableStringKeyToMultiValueDTO. getName()NottableStringHttpRequestDTO. getPath()NottableStringKeyAndValueDTO. getValue()Methods in org.mockserver.serialization.model that return types with arguments of type NottableString Modifier and Type Method Description List<NottableString>KeyToMultiValueDTO. getValues()Methods in org.mockserver.serialization.model with parameters of type NottableString Modifier and Type Method Description HttpRequestDTOHttpRequestDTO. setMethod(NottableString method)HttpRequestDTOHttpRequestDTO. setPath(NottableString path) -
Uses of NottableString in org.mockserver.serialization.serializers.string
Methods in org.mockserver.serialization.serializers.string with parameters of type NottableString Modifier and Type Method Description voidNottableStringSerializer. serialize(NottableString nottableString, com.fasterxml.jackson.core.JsonGenerator jgen, com.fasterxml.jackson.databind.SerializerProvider provider)
-